package com.chelvc.framework.group;

/**
 * @author Woody
 * @date 2024/9/11
 */
public interface GroupHandler {
    /**
     * 获取分组数量
     *
     * @return 分组数量
     */
    int getCount();

    /**
     * 获取分组场景
     *
     * @return 分组场景
     */
    String getScene();

    /**
     * 是否延迟分组
     *
     * @return true/false
     */
    boolean isLazy();

    /**
     * 是否异步分组
     *
     * @return true/false
     */
    boolean isAsync();

    /**
     * 是否已过期
     *
     * @return true/false
     */
    boolean isExpired();

    /**
     * 是否缓存分组结果
     *
     * @return true/false
     */
    boolean isCacheable();

    /**
     * 获取分组选择器对象
     *
     * @return 分组选择器对象
     */
    GroupSelector getSelector();
}
